Name:           qwhitesurgtkdecorations
Version:        0.1.0
Release:        1%{?dist}
Summary:        Qt decoration plugin implementing WhiteSur-gtk-like client-side decorations

License:        LGPL-2.1-or-later
URL:            https://github.com/FengZhongShaoNian/QWhiteSurGtkDecorations
Source0:        https://github.com/FengZhongShaoNian/QWhiteSurGtkDecorations/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  qt5-qtbase-devel >= 5.15.2
BuildRequires:  qt5-qtbase-private-devel >= 5.15.2
BuildRequires:  qt5-qtbase-static >= 5.15.2
BuildRequires:  qt5-qtsvg-devel >= 5.15.2
BuildRequires:  qt5-qtwayland-devel >= 5.15.2
BuildRequires:  qt6-qtbase-devel >= 6.5.0
BuildRequires:  qt6-qtbase-private-devel >= 6.5.0
BuildRequires:  qt6-qtbase-static >= 6.5.0
BuildRequires:  qt6-qtsvg-devel >= 6.5.0
BuildRequires:  qt6-qtwayland-devel >= 6.5.0
BuildRequires:  wayland-devel
BuildRequires:  rpmlib(CompressedFileNames) <= 3.0.4-1
BuildRequires:  rpmlib(FileDigests) <= 4.6.0-1

Requires:       wayland-devel
Requires:       qt5-qtbase-private-devel >= 5.15.2
Requires:       qt5-qtbase-devel >= 5.15.2
Requires:       qt5-qtbase-static >= 5.15.2
Requires:       qt5-qtsvg-devel >= 5.15.2
Requires:       qt5-qtwayland-devel >= 5.15.2
Requires:       qt6-qtbase-devel >= 6.5.0
Requires:       qt6-qtbase-private-devel >= 6.5.0
Requires:       qt6-qtbase-static >= 6.5.0
Requires:       qt6-qtsvg-devel >= 6.5.0
Requires:       qt6-qtwayland-devel >= 6.5.0

%description
Qt decoration plugin implementing WhiteSur-gtk-like client-side decorations.

%package qwhitesurgtkdecorations-qt5
Summary:        Qt5 decoration plugin implementing WhiteSur-gtk-like client-side decorations
Requires:       qt5-qtbase-devel >= 5.15.2
Requires:       qt5-qtbase-private-devel >= 5.15.2
Requires:       qt5-qtbase-static >= 5.15.2
Requires:       qt5-qtsvg-devel >= 5.15.2
Requires:       qt5-qtwayland-devel >= 5.15.2

%description qwhitesurgtkdecorations-qt5
Qt5 decoration plugin implementing WhiteSur-gtk-like client-side decorations.

%package qwhitesurgtkdecorations-qt6
Summary:        Qt6 decoration plugin implementing WhiteSur-gtk-like client-side decorations
Requires:       qt6-qtbase-devel >= 6.5.0
Requires:       qt6-qtbase-private-devel >= 6.5.0
Requires:       qt6-qtbase-static >= 6.5.0
Requires:       qt6-qtsvg-devel >= 6.5.0
Requires:       qt6-qtwayland-devel >= 6.5.0

%description qwhitesurgtkdecorations-qt6
Qt6 decoration plugin implementing WhiteSur-gtk-like client-side decorations.

%prep
%setup -q

%build
# Build for Qt5
cmake -B build-%{version}-qt5 -S %{name}-%{version} \
    -DCMAKE_INSTALL_PREFIX=%{prefix} \
    -DHAS_QT6_SUPPORT=true \
    -DUSE_QT6=false
make -C build-%{version}-qt5

# Build for Qt6
cmake -B build-%{version}-qt6 -S %{name}-%{version} \
    -DCMAKE_INSTALL_PREFIX=%{prefix} \
    -DUSE_QT6=true
make -C build-%{version}-qt6

%install
# Install Qt5 package
make -C build-%{version}-qt5 DESTDIR=%{buildroot} install

# Install Qt6 package
make -C build-%{version}-qt6 DESTDIR=%{buildroot} install

%files qwhitesurgtkdecorations-qt5
%{_libdir}/qt5/plugins/*

%files qwhitesurgtkdecorations-qt6
%{_libdir}/qt6/plugins/*

%changelog
* Wed Nov 13 2024 Alexandra Travkina <kodersha@icloud.com> - 0.1.0-1
- Initial package
